# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

copy.pl - Copy in_file.txt to out_file.txt

=head1 SYNOPSIS

    perl copy.pl

=head1 DESCRIPTION

The I<copy.pl> copies the file I<in_file.txt> to I<out_file.txt>.  The purpose
of this program is to demonstrate the use of I/O statements.

=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut

use strict;
use warnings;

open IN_FILE, "<in_file.txt" or die("Could not open in_file.txt");
open OUT_FILE, ">out_file.txt" or die("Could not create out_file.txt");

my $line;

while (1) {
    $line = <IN_FILE>;
    if (not defined($line)) {
        last;
    }
    print OUT_FILE $line;
}
close (IN_FILE);
close (OUT_FILE);
