# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

define.pl - Demonstrate the use of the B<defined> operator

=head1 SYNOPSIS

    perl define.pl 

=head1 DESCRIPTION

The I<define.pl> command demonstrates how to use the B<defined> operator.

=head1 EXAMPLES

Sample run:

    perl define.pl
    The name is defined as Sam
    but the value is not defined

=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut

use strict;
use warnings;

my $name = "Sam";   # A defined variable
my $value;           # A undefined variable

if (defined($name)) {
    print "The name is defined as $name\n";
}

if (not defined($value)) {
    print "but the value is not defined\n";
}
