# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

name.pl - Split a name into parts (done wrong)

=head1 SYNOPSIS

    perl name.pl 

=head1 DESCRIPTION

The I<name.pl> splits a name into it's parts.  But it contains
a common mistake that results in things getting too split up.

=head1 EXAMPLES

Sample run:

    perl name.pl
    0: S
    1: t
    2: e
    3: v
    4: e
    5: O
    6: u
    7: a
    8: l
    9: l
    10: i
    11: n
    12: e

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;
# The name we want to split up
my $full_name = "Steve Oualline";

# The name in pieces
my @name = split /\s*/, $full_name;  # WRONG WRONG

# Print the pieces
for (my $index = 0; $index <= $#name; $index++) {
    print "$index: $name[$index]\n";
}
