# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

trailing.pl - Remove trailing spaces and tabs from each line of a file

=head1 SYNOPSIS

    perl trailing.pl < {in-file} > {out_file}

=head1 DESCRIPTION

The I<trailing.pl> removes trailing whitespace from each line in
the input.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

while (<STDIN>) {
    s/\s+$//;
    print;
}
