# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

write_hash.pl - Write out a hash

=head1 SYNOPSIS

    perl write_hash.pl 

=head1 DESCRIPTION

The I<write_hash.pl> prints a hash in a nice format to
hash.out.  The hash is built in.  This is a demonstration
program.

=head1 EXAMPLES

Sample run:

      perl write_hash.pl

The contents of I<hash.out> after this run are:

    joe: 57
    mac: 68
    sam: 45

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut

use strict;
use warnings;

my %hash = (
    sam => 45,
    joe => 57,
    mac => 68
);

open OUT_FILE, ">hash.out" or die("Could not write to hash.out");
foreach my $cur_key (sort keys %hash) {
    print OUT_FILE "$cur_key: $hash{$cur_key}\n";
}
close (OUT_FILE);
