# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

test_hash.pl - Test the time_hash.pm package

=head1 SYNOPSIS

    perl test_hash.pl

=head1 DESCRIPTION

The I<test_hash.pl> program tests out the I<test_hash> package.

=head1 EXAMPLES

Sample run:

	perl test_hash.pl
	Time1 is 1:30
	Time2 is 8:40
	Time1 is 10:10

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

use time_hash;

# Two times to test with
my $time1 = time_hash::new(1,30);
my $time2 = time_hash::new(8,40);

print "Time1 is ", time_hash::to_string($time1), "\n";
print "Time2 is ", time_hash::to_string($time2), "\n";
time_hash::add($time1, $time2);
print "Time1 is ", time_hash::to_string($time1), "\n";
