=head1 NAME

us2hk - Convert US$ to HK$ (or vice versa.)

=head1 SYNOPSIS

    us2hk [-u] [-r=<rate>] <amount>

=head1 DESCRIPTION

The I<us2hk> command converts United States dollars to
Hong Kong dollars.   It
can optionally convert forom HK to US as well.

It is an extremely useful program if you ever go to Hong Kong and find out 
that a copy of Microsoft Windows 2000 that you need to purchase is selling 
for $1600.00 (HK).
It is an extremely useful program if you ever go to Hong Kong and find out
that a copy of Microsoft Windows-2000 selling for $1600.00 (HK).

=head1 OPTIONS

The I<us2hk> command takes the following arguments:

=over 4

=item B<-u>

Convert from US$ to HK$.  The default is HK$-E<gt>US$.

=item B<-r=>I<rate>

Specify the conversion rate for US$ to HK$ instead of the default: 0.128.  (81:18).

=back

=head1 SEE ALSO

L<units>

=cut

use strict;
use warnings;

print "Sorry we forgot to write the code for this one.\n";

