# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

hello.pl - Tk version of "Hello World"

=head1 SYNOPSIS

    perl hello.pl 

=head1 DESCRIPTION

The I<hello.pl> display a window containing a "Hello"
button.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

use Tk;

################################################################
# byebye -- Get out of here.
################################################################
sub byebye()
{
    exit (0);
}

# Create the main window
my $mw = MainWindow->new();
# Create the button
my $button = $mw->Button(
	-text => "Hello",
	-command => \&byebye
    );

# Pack the button in the window
$button->pack(
    -side => 'top'
);

MainLoop();


