=pod

=head1 NAME

disks_config.pm -- Configuration data for the disks programs

=head1 SYNOPSIS

    require disks_config;

    print "The database is at $db_file"


=head1 DESCRIPTION

This file contains the location of the disks database.

=head1 FILES

=over 4

=item disks.db

The name of the database file.  The actual path to this file is 
controlled by the I<disks_config.pm> package.

=back

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 SEE ALSO

L<disks_config.pl>

=head1 COPYRIGHT

This program is distributed under the GPL.

=cut
package disks_config;

use Exporter;
use vars (qw($db_file @ISA @EXPORT %category_to_name));

@ISA = 'Exporter';
@EXPORT = (qw($db_file %category_to_name));

$db_file = 'disks.db';

#
# Category to name mapping
#
%category_to_name = (
        'F' => "Floppy",
        'B' => "Bare CDROM",
	'P' => "Packaged CDROM",
	'L' => "Lunux CDROM",
        'Z' => "Zip disk"
);

1;
