=pod

=head1 NAME

web.pl - Write out a list of the top web sites visited

=head1 SYNOPSIS

    perl web.pl <log-file> [<log-file> ...]

=head1 DESCRIPTION

The I<web.pl> analyzes the log files and produces a list of the
how many times each web page has been accessed.  The list
is sorted by number of hits.

=cut
use strict;
use warnings;
use web;

foreach my $file (@ARGV) {
    read_info($file);
}
# An array of the stats on a page
#
# Array of hashes
#	hash contains
#		page => <page name>
#		value => <number of hits>
#
my $stat_array = do_count();

# The array sorted by highest first
my @sort_array = sort {$b->{count} <=> $a->{count};}  @$stat_array;

foreach my $index (0..$#sort_array) {
    print "$sort_array[$index]->{count}\t$sort_array[$index]->{page}\n";
}



